org.apache.creadur.tentacles.filter

## Class ListOfFilesFilter

- java.lang.Object
- - org.apache.creadur.tentacles.filter.ListOfFilesFilter

All Implemented Interfaces:
  FileFilter

    public class ListOfFilesFilter
    extends Object
    implements FileFilter

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept(File pathname)`
`List<String>` `getListOfFiles()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### accept

    public boolean accept(File pathname)

Specified by:
  `accept` in interface `FileFilter`

#### getListOfFiles

    public List<String> getListOfFiles()

Returns:
  an unmodifiable list of the files to filter for.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`